<?php

function amzn_click_reports() {

	$url_to_here = str_replace( '%7E', '~', $_SERVER['REQUEST_URI']);
	$url_to_here = explode("&", $url_to_here);
	$url_to_here = $url_to_here[0];


	global $wpdb;

	if ($_REQUEST["delclicks"] == "Y") {
		$results = $wpdb->query("DELETE FROM ".$wpdb->prefix."amznclicks");
	}

	if ($_REQUEST["delsingleclick"] == "Y") {
		$clickid = $_REQUEST["clickid"];
		$results = $wpdb->query("DELETE FROM ".$wpdb->prefix."amznclicks WHERE `id`='".$clickid."'");
	}


	?>

	<div class='wrap'>
		<h2>Click Reporting</h2>


		<form name="form1" method="post" action="<?php echo $url_to_here; ?>" style='margin: 5px;'>
			Search:
			<input type='text' name='searchtext' value='' />

			<select name='searchtype'>
				<option value='asin'>ASIN</option>
				<option value='postid'>Post ID</option>
				<option value='title'>Title</option>
			</select>

			<input type='hidden' value='Y' name='searching' />

			<input type='submit' value='Submit' />
		</form>



<table class="widefat post fixed" cellspacing="0">
	<thead>
		<tr>
			<th scope="col">Post ID</th>
			<th scope="col">Date</th>
			<th scope="col">ASIN</th>
			<th scope="col">Product Title</th>
			<th scope="col">Click IP</th>
			<th scope="col">User Agent</th>
			<th scope="col">Destination URL</th>
			<th scope="col">-</th>
		</tr>
	</thead>

	<tfoot>
		<tr>
			<th scope="col">Post ID</th>
			<th scope="col">Date</th>
			<th scope="col">ASIN</th>
			<th scope="col">Product Title</th>
			<th scope="col">Click IP</th>
			<th scope="col">User Agent</th>
			<th scope="col">Destination URL</th>
			<th scope="col">-</th>
		</tr>
	</tfoot>

	<tbody>


		<?php

		$where = "";

		if ($_REQUEST["searching"] == "Y") {

			$searchtype = $_REQUEST["searchtype"];

			if ($searchtype == "asin") {
				$asin = $_REQUEST["searchtext"];
			}

			if ($searchtype == "postid") {
				$postid = $_REQUEST["searchtext"];
			}

			if ($searchtype == "title") {
				$title = $_REQUEST["searchtext"];
			}

		} else {
			$nosearch = true;
		}

		if ($_REQUEST["nosearch"] == true) {
			$nosearch = true;
		}



		if ($asin != '') {
			$cleanasin = addslashes($asin);
			$where .= " `asin`='".$cleanasin."' ";
		}


		if ($postid != '') {
			$cleanpostid = addslashes($postid);
			$where .= " `postid`='".$cleanpostid."' ";
		}

		if ($title != '') {
			$cleantitle = addslashes($title);
			$where .= "( `title`='".$cleantitle."' ";
			$where .= " OR `title` LIKE '%".$cleantitle."' ";
			$where .= " OR `title` LIKE '".$cleantitle."%' ";
			$where .= " OR `title` LIKE '%".$cleantitle."%' )";
		}


		if ($where != "") {
			$where .= "  AND ";
		}

		// pagination

		$perpage = 20;

		$paginate = $_GET["paginate"];
		$paginate = $paginate * 1;

		if ($paginate < 1) {
			$paginate = 1;
		}

		$limitstart = ($paginate - 1) * $perpage;


		if ($searching == "Y") {
			$limit = '';
		} else {
			$limit = "LIMIT ".$limitstart.", ".$perpage;
		}

		$totalitems = $wpdb->get_var("SELECT COUNT(`id`) FROM ".$wpdb->prefix."amznclicks WHERE ".$where." 1=1 ");
		if ($totalitems == 0) {
			$totalitems = 1;
		}
		$numberofpages = ceil($totalitems / $perpage);



		$q = "SELECT * FROM ".$wpdb->prefix."amznclicks WHERE ".$where." 1=1 ".$limit;
		$results = $wpdb->get_results($q, ARRAY_A);

		$a = true;

		if (count($results) != 0) {

			foreach ($results as $result) {

				$a = !$a;

				if ($a) {
					$alternate = "alternate";
				} else {
					$alternate = '';
				}

				$destinationspan = "<span title='".$result['destination']."'>".substr($result['destination'], 0, 25)."...</span>";

				echo "
				<tr class='".$alternate."' valign='top'>
					<td>".$result['postid']."</td>
					<td>".date('Y-m-d H:i:s', $result['time'])."</td>
					<td>".$result['asin']."</td>
					<td>".$result['title']."</td>
					<td>".$result['ip']."</td>
					<td><input type='text' value='".htmlentities($result['useragent'])."' /></td>
					<td>".$destinationspan." <a href='".$result['destination']."' target='_blank'><br />&raquo; Visit URL</a></td>

					<td>
						<a href='javascript:delsingleclick(".$result['id'].");'>Delete Click (no undo)</a>
					</td>


				</tr>
				";

			}

		} else {

			echo "<tr>
					<td colspan='6'>
						<strong style='color: #FF0000'>No Clicks Found</strong>
					</td>
				</tr>";

		}

		?>




	</tbody>
</table>


		<?php if ($_REQUEST["searching"] == 'Y' && $nosearch != true) { ?>


		<form name="form1" method="post" action="<?php echo $url_to_here; ?>" style='margin: 5px;'>

			<input type='hidden' value='Y' name='searching' />
			<input type='hidden' value='true' name='nosearch' />

			<input type='submit' value='Clear Search / View All Results' />

		</form>

		<?php } ?>


		<?php

		// pages

		if ($nosearch == true) {

			$i = 1;
			while ($i <= $numberofpages) {


				if ($i != $paginate) {

					$pageurl = $url_to_here."&paginate=".$i;

					echo "<a href='".$pageurl."'>".$i."</a>";
					echo "&nbsp;&nbsp;";

				} else {

					echo "<b>".$i."</b>";
					echo "&nbsp;&nbsp;";

				}

				$i++;

			}

		}

		?>

		<br /><br />
		<script>

		function delclicks() {

			if (confirm("This will clear all of the recorded click data. There is no way to undo this. Only click 'OK' if you are sure you want to delete the data!")) {
				document.location = "<?php echo $url_to_here.'&delclicks=Y'; ?>";
			}

		}

		function delsingleclick(clickid) {

			if (confirm("This will delete this click. Are you sure?")) {
				document.location = "<?php echo $url_to_here.'&delsingleclick=Y&clickid'; ?>="+clickid;
			}

		}

		</script>

		<a href='javascript:delclicks();'>Delete All Recorded Clicks (no undo)</a>



	</div>


<?php


}



?>