<?php

function amzn_cart_domain() {
	return '.'.AmazonAAWS_Locale::root_domain(get_option('amzn-aws_locale'));
}

// PHP.net http://php.net/manual/en/book.simplexml.php objectsIntoArray function - using to convert simplexml to an array
function amzn_objectsIntoArray($arrObjData, $arrSkipIndices = array())
{
    $arrData = array();

    // if input is object, convert into array
    if (is_object($arrObjData)) {
        $arrObjData = get_object_vars($arrObjData);
    }

    if (is_array($arrObjData)) {
        foreach ($arrObjData as $index => $value) {
            if (is_object($value) || is_array($value)) {
                $value = amzn_objectsIntoArray($value, $arrSkipIndices); // recursive call
            }
            if (in_array($index, $arrSkipIndices)) {
                continue;
            }
            $arrData[$index] = $value;
        }
    }
    return $arrData;
}
// ------------------------------------------------


function amzn_js_function_escape($string) {

	// escapes string for use in something like
	// <a href='javascript:amznToggleToQueue("$string");'>
	// note the single quotes surrounding the JS and the double quotes inside the JS.

	$string = str_replace('"', '\"', $string);
	$string = str_replace("'", "&#039;", $string);

	return $string;

}
