<?php

// rich snippets testing tool: http://www.google.com/webmasters/tools/richsnippets

function amzn_rdfa_aggregate_reviews($postid) {

	$product_data = amzn_product_from_meta($postid);

	global $wpdb;
	$totalcomments = $wpdb->get_var("SELECT COUNT(*) FROM ".$wpdb->comments." WHERE `comment_approved`='1'");

	return '
	<div xmlns:v="http://rdf.data-vocabulary.org/#" typeof="v:Review-aggregate" id="amzn_rdfa_aggregate_reviews">
	   <span property="v:itemreviewed">'.$product_data['Title'].'</span>
	   <span rel="v:rating">
	      <span typeof="v:Rating">
	         <span property="v:average">'.$product_data['AverageRating'].'</span>
	         out of
	         <span property="v:best">5</span>
	      </span>
	   </span>
	   based on
	   <span property="v:votes">'.$product_data['TotalReviews'].'</span> ratings.
	   <span property="v:count">'.$totalcomments.'</span> user reviews
	</div>
	<script>
	document.getElementById("amzn_rdfa_aggregate_reviews").style.display = "none";
	</script>
	';


}


function amzn_rdfa_product($postid) {

	$product_data = amzn_product_from_meta($postid);

	global $post;

	foreach((get_the_category()) as $category) {
	    $cval .= $category->cat_name . ' ';
	}

	return '
		<div id="amzn_rdfa_product">
		   <div xmlns:v="http://rdf.data-vocabulary.org/#" typeof="v:Product">
		   <span property="v:category">'.$cval.'</span>
		   <span property="v:name">'.$product_data['Title'].'</span>
		   <span property="v:description">'.$product_data['ProductDescription'].'</span>
		   <span property="v:price">'.$product_data['ListPrice'].'</span>
		   <span property="v:photo">'.$product_data['MediumImageURL'].'</span>
		   </div>
		   <a href="'.get_permalink($postid).'" rel="v:url">'.get_permalink($postid).'</a>
		</div>
		<script>
		document.getElementById("amzn_rdfa_product").style.display = "none";
		</script>
	';

}



?>