<?php

function amzn_round_rating($number) {

	// star images are named 0, 033, 066, 1, 133, 166, etc. give this a number from 0-5 and it will return the appropriate image name. anything about 4.83 goes to 5, anything above 0 and below 033 goes to 033.

	if ($number > 4.79)
		return "5";

	if ($number > 4.49)
		return "466";

	if ($number > 4.19)
		return "433";

	if ($number > 3.79)
		return "4";

	if ($number > 3.49)
		return "366";

	if ($number > 3.19)
		return "333";

	if ($number > 2.79)
		return "3";

	if ($number > 2.49)
		return "266";

	if ($number > 2.19)
		return "233";

	if ($number > 1.79)
		return "2";

	if ($number > 1.49)
		return "166";

	if ($number > 1.19)
		return "133";

	if ($number > 0.79)
		return "1";

	if ($number > 0.49)
		return "066";

	if ($number > 0.19)
		return "033";

	return "0";


}


function amzn_get_star_html($rating, $padding = -1) {

	$style = '';
	if ($padding > -1) {
		$style = "style='padding-top: ".$padding."px;'";
	}
	$rater = '<img '.$style.' src="'.amzn_get_star_url($rating).'" alt="" />';

	return $rater;
}

function amzn_get_star_url($rating) {

	$url = get_option('siteurl').'/wp-content/plugins/amzn/stars/'.amzn_round_rating($rating).'stars.png';
	return $url;
}
