<?php

add_action("comment_form", "amzn_comment_form_rater", 111);
function amzn_comment_form_rater($postid) {

	$stardir = WP_PLUGIN_URL."/amzn/stars/";

	if (get_option("amzn-commentformreview") == "Yes") {

		if (get_post_meta($postid, "amzn_ASIN", true)) {
			?>
			<script type="text/javascript" src="<?php echo $stardir; ?>StarRatingLite.js"></script>

			<b><?php echo get_option("amzn-ratethis"); ?></b><br />
			<div id="cstarrater"></div>
			<br clear='all' />
			<input value="" id="amznratinghidden" name='amznrating' type="hidden">

			<script type="text/javascript">

			var Ratingscale = new StarRatingSystem(
				{
					imageWidth: 12,
					imageHeight: 12,
					on: '<?php echo $stardir; ?>staron.png',
					off: '<?php echo $stardir; ?>staroff.png',
					mouseover: '<?php echo $stardir; ?>starmouseover.png'
				}
			);

			Ratingscale.create("cstarrater", null, { input: "amznratinghidden" });

			</script>

			<?php
		}
	}
}


add_action("comment_post", "amzn_comment_post_rate", 111);
function amzn_comment_post_rate($commentid) {

	if (get_option("amzn-commentformreview") == "Yes") {

		$amznrating = $_REQUEST["amznrating"];

		if ($amznrating == 0) {
			$amznrating = "";
		}

		if ($amznrating != "") update_comment_meta($commentid, 'amznrating', $amznrating);
	}
}


add_filter('comment_text','amzn_comment_disp_rating', -111);
function amzn_comment_disp_rating($text) {

	if (get_option("amzn-commentformreview") == "Yes") {

		global $comment;

		$postid = $comment->comment_post_ID;
		$commentid = $comment->comment_ID;

		$amznrating = get_comment_meta($commentid, 'amznrating', true);

		if ($amznrating) {

			$template = amzn_get_template("comment");

			$content = $template;

			$content = str_replace("[REVIEW]", $text, $content);
			$content = str_replace("[STARURL]", amzn_get_star_url($amznrating), $content);

			return $content;

		} else {
			return $text;
		}

	} else {
		return $text;
	}
}
